﻿using System;
using System.Collections;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Vehicles
{
    class CompareBySpeed : IComparer
    {
        public int Compare(object x, object y)
        {
            // no error checking
            Car c1 = x as Car;
            Car c2 = y as Car;

            if (c1.GetTopSpeed() == c2.GetTopSpeed())
                return 0;
            if (c1.GetTopSpeed() < c2.GetTopSpeed())
                return -1;

            return 1;
        }
    }
}
